Skip to main content
PATCH
Update a repository

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repositoryId
string<uuid>
required

Body

application/json
enabled
boolean
default:false
baseBranch
string | null
Required string length: 1 - 1024
targetBranch
string | null
Required string length: 1 - 1024

Response

Update a repository

baseBranch
string | null
required
createdAt
string<date-time>
required
description
string | null
required
enabledAt
string<date-time> | null
required
id
string<uuid>
required
name
string
required
owner
string | null
required
provider
object
required
targetBranch
string | null
required
updatedAt
string<date-time>
required
url
string
required